#***************************************************************************
#                                  _   _ ____  _
#  Project                     ___| | | |  _ \| |
#                             / __| | | | |_) | |
#                            | (__| |_| |  _ <| |___
#                             \___|\___/|_| \_\_____|
#
# Copyright (C) Daniel Stenberg, <daniel@haxx.se>, et al.
#
# This software is licensed as described in the file COPYING, which
# you should have received as part of this distribution. The terms
# are also available at https://curl.se/docs/copyright.html.
#
# You may opt to use, copy, modify, merge, publish, distribute and/or sell
# copies of the Software, and permit persons to whom the Software is
# furnished to do so, under the terms of the COPYING file.
#
# This software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY
# KIND, either express or implied.
#
# SPDX-License-Identifier: curl
#
###########################################################################

prefix=C:/Program Files (x86)/CURL
exec_prefix=${prefix}
libdir=${exec_prefix}/lib
includedir=${prefix}/include
supported_protocols="DICT FILE FTP FTPS GOPHER GOPHERS HTTP HTTPS IMAP IMAPS IPFS IPNS LDAP LDAPS POP3 POP3S RTSP SCP SFTP SMB SMBS SMTP SMTPS TELNET TFTP WS WSS"
supported_features="alt-svc AsynchDNS HSTS HTTP2 HTTPS-proxy IDN IPv6 Kerberos Largefile libz NTLM SPNEGO SSL SSPI threadsafe UnixSockets"

Name: libcurl
URL: https://curl.se/
Description: Library to transfer files with HTTP, FTP, etc.
Version: 8.15.0
Requires: libssh2,openssl,zlib,libnghttp2
Requires.private: libssh2,openssl,zlib,libnghttp2
Libs: -L${libdir} -lcurl -lssh2 -lssl -lcrypto D:/a/winlib-builder/winlib-builder/deps/lib/zlib_a.lib D:/a/winlib-builder/winlib-builder/deps/lib/nghttp2.lib -lwldap32 -lnormaliz -lws2_32 -liphlpapi -lbcrypt -ladvapi32 -lcrypt32 -lsecur32
Libs.private: -LD:/a/winlib-builder/winlib-builder/deps/lib -lssh2 -lssl -lcrypto D:/a/winlib-builder/winlib-builder/deps/lib/zlib_a.lib D:/a/winlib-builder/winlib-builder/deps/lib/nghttp2.lib -lwldap32 -lnormaliz -lws2_32 -liphlpapi -lbcrypt -ladvapi32 -lcrypt32 -lsecur32
Cflags: -I${includedir} -DCURL_STATICLIB
Cflags.private: -DCURL_STATICLIB
